View Issue Details

IDProjectCategoryView StatusLast Update
0008725ScribusStory Editor / Text Framespublic2019-11-06 15:02
Reporterchristoph_s Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
Platformx86OSLinuxOS VersionOpenSUSE 10.3
Product Version1.5.2.svn 
Target Version1.6 milestoneFixed in Version 
Summary0008725: Font settings for text frames in the Document Setup are ignored
DescriptionChange the default font settings in the Document Setup and create new text frame --> The font is still the same as in the Prefs.
Steps To ReproduceI thinks this is how you recreate it:
1) open SLA
2) File > Doc Setup > Item Tools > Text > Text > Font
3) Change font to any other font and change size of the font
4) Press OK
5) open text box and add text
Result: Default font hasn't changed.
TagsNo tags attached.
PatchNo

Relationships

related to 0009373 confirmed Preconfiguring font doesn't take affect 
related to 0012631 closedjghali [Regression] Font selection in the 'Tool' tab of the Document Setup is being ignored by Scribus 
related to 0007059 closed Sometimes the property dialog doesn't show the right font propterties of a text frame 
related to 0013537 closed Changing font in the editor is not recognized by the PP 
related to 0014949 new remove the text formatting part for the text tool in the document settings 
has duplicate 0012612 closedjghali ignored font settings 
has duplicate 0015428 closedjghali Setting the default font for text frames in the Document Setup has no effect 
related to 0013621 new Default font for the text editor is somehow the first alphabetical font at the time of installing Scribus 
related to 0013813 closedjghali Font Management disabled 
related to 0009742 closedfschmid Changing the line spacing percentage does not change the line spacing 
related to 0013242 closed changing text size spinboxes in SE loses focus on intended text (+ mysteriously increments text size +1) 

Activities

jghali

2010-01-18 14:10

administrator   ~0023098

Last edited: 2010-09-29 06:48

View 2 revisions

Since 1.3.4+, frames do not have their own default font anymore. Default font is determined by default styles. The default font setting is just used to initialize default styles on document creation. Have to decide what we do with those.

ale

2010-07-18 07:08

manager   ~0024356

one way to do it, is to just empty the "tool > text" tab in the document settings and put there a select box for the style to be used as default.

jon.grossart

2010-11-08 17:04

reporter   ~0024823

Last edited: 2016-03-15 12:39

View 3 revisions

This sounds similar (or at least related) to the bug 0009373 that I reported.

Kunda

2016-04-14 14:50

manager   ~0040173

This looks like a similiar issue to 0009742 which was just fixed by Franz

Issue History

Date Modified Username Field Change
2010-01-18 11:58 christoph_s New Issue
2010-01-18 12:58 jghali Severity major => minor
2010-01-18 14:10 jghali Note Added: 0023098
2010-01-18 14:10 jghali Target Version 1.3.6 => 1.3.7
2010-05-26 22:30 cbradney Target Version 1.3.7 => 1.3.8
2010-06-19 11:11 avox Status new => assigned
2010-06-19 11:11 avox Assigned To => avox
2010-07-17 20:51 cbradney Target Version 1.3.8 => 1.3.9
2010-07-18 07:08 ale Note Added: 0024356
2010-09-29 06:48 jghali Note Edited: 0023098 View Revisions
2010-11-08 17:04 jon.grossart Note Added: 0024823
2010-11-08 17:04 jon.grossart Note Edited: 0024823 View Revisions
2010-11-23 20:14 cbradney Target Version 1.3.9 => 1.4.0
2011-04-16 10:03 cbradney Target Version 1.4.0 => 1.4.1
2012-04-29 21:15 cbradney Target Version 1.4.1 => 1.4.2
2013-01-13 21:33 cbradney Target Version 1.4.2 => 1.4.3
2013-07-04 20:26 cbradney Target Version 1.4.3 => 1.5.0
2014-07-03 19:41 Kunda Target Version 1.5.0 => 1.5.1
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-01-23 17:17 cbradney Target Version 1.5.1 => 1.5.3
2016-03-15 09:20 jghali Relationship added has duplicate 0012612
2016-03-15 12:39 Kunda Relationship added related to 0009373
2016-03-15 12:39 Kunda Note Edited: 0024823 View Revisions
2016-03-15 12:40 Kunda Relationship added related to 0012631
2016-04-04 15:56 Kunda Relationship added related to 0013621
2016-04-04 16:08 Kunda Relationship added related to 0013813
2016-04-14 14:44 Kunda Relationship added related to 0009742
2016-04-14 14:48 Kunda Patch => No
2016-04-14 14:48 Kunda Steps to Reproduce Updated View Revisions
2016-04-14 14:50 Kunda Note Added: 0040173
2016-04-14 15:55 Kunda Relationship added related to 0007059
2016-04-18 16:30 Kunda Target Version 1.5.3 => 1.5.2
2016-04-18 16:31 Kunda Assigned To avox =>
2016-04-18 16:31 Kunda Status assigned => confirmed
2016-04-18 16:31 Kunda Product Version => 1.5.2.svn
2016-04-26 01:09 Kunda Relationship added related to 0013242
2016-04-26 01:17 Kunda Relationship added related to 0013537
2016-05-01 14:33 cbradney Target Version 1.5.2 => 1.6 milestone
2018-09-16 23:53 jghali Relationship added has duplicate 0015428
2018-09-16 23:53 jghali Relationship added related to 0014949